Project

General

Profile

Bug #46607

nautilus: pybind/mgr/volumes: TypeError: bad operand type for unary -: 'str'

Added by Patrick Donnelly 3 months ago. Updated 3 months ago.

Status:
Closed
Priority:
Urgent
Category:
-
Target version:
% Done:

0%

Source:
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Component(FS):
mgr/volumes
Labels (FS):
Pull request ID:
Crash signature:

Description

2020-07-14T07:53:15.635203318Z debug 2020-07-14 07:53:15.634 7f9817b8c700 -1 mgr.server reply reply (22) Invalid argument Traceback (most recent call last):
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/volumes/fs/operations/volume.py", line 158, in get_fs_handle
2020-07-14T07:53:15.635203318Z     conn.connect()
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/volumes/fs/operations/volume.py", line 83, in connect
2020-07-14T07:53:15.635203318Z     self.fs.init()
2020-07-14T07:53:15.635203318Z   File "cephfs.pyx", line 663, in cephfs.LibCephFS.init
2020-07-14T07:53:15.635203318Z cephfs.Error: error calling ceph_init: Connection timed out [Errno 110]
2020-07-14T07:53:15.635203318Z
2020-07-14T07:53:15.635203318Z During handling of the above exception, another exception occurred:
2020-07-14T07:53:15.635203318Z
2020-07-14T07:53:15.635203318Z Traceback (most recent call last):
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/mgr_module.py", line 974, in _handle_command
2020-07-14T07:53:15.635203318Z     return self.handle_command(inbuf, cmd)
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/volumes/module.py", line 249, in handle_command
2020-07-14T07:53:15.635203318Z     return handler(inbuf, cmd)
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/volumes/module.py", line 316, in _cmd_fs_subvolume_getpath
2020-07-14T07:53:15.635203318Z     group_name=cmd.get('group_name', None))
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/volumes/fs/volume.py", line 205, in subvolume_getpath
2020-07-14T07:53:15.635203318Z     with open_volume(self, volname) as fs_handle:
2020-07-14T07:53:15.635203318Z   File "/lib64/python3.6/contextlib.py", line 81, in __enter__
2020-07-14T07:53:15.635203318Z     return next(self.gen)
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/volumes/fs/operations/volume.py", line 283, in open_volume
2020-07-14T07:53:15.635203318Z     fs_handle = vc.connection_pool.get_fs_handle(volname)
2020-07-14T07:53:15.635203318Z   File "/usr/share/ceph/mgr/volumes/fs/operations/volume.py", line 164, in get_fs_handle
2020-07-14T07:53:15.635203318Z     raise VolumeException(-e.args[0], e.args[1])
2020-07-14T07:53:15.635203318Z TypeError: bad operand type for unary -: 'str'

From internal testing. This code has changed in Octopus/Pacific so the fix needs directed to Nautilus.

History

#1 Updated by Nathan Cutler 3 months ago

"This code has changed in Octopus/Pacific so the fix needs directed to Nautilus."

Please be sure to include this magic phrase directly in the commit message :-)

#2 Updated by Kotresh Hiremath Ravishankar 3 months ago

  • Status changed from New to Closed

I believe this is fixed with https://tracker.ceph.com/issues/46464. Therefore I am closing this, please re-open this if it occurs again in v14.2.11 or higher.

Also available in: Atom PDF